﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerController : MonoBehaviour {

	public GameObject bulletPrefab;

	private CharacterController charController;

	private float nextBulletTime;

	private void Awake() {
		charController = GetComponent<CharacterController>();
	}

	// Start is called before the first frame update
	void Start() {

	}

	// Update is called once per frame
	void Update() {
		// 3f is the velocity we will be moving.
		Vector3 movementInput = new Vector3(Input.GetAxis("Horizontal"), 0, Input.GetAxis("Vertical")).normalized * 3f;

		if (movementInput.sqrMagnitude >= 0.05f) {
			if (movementInput.x > 0) {
				transform.rotation = Quaternion.Euler(0, 90, 0);
			} else if (movementInput.x < 0) {
				transform.rotation = Quaternion.Euler(0, 270, 0);
			}

			if (movementInput.z > 0) {
				transform.rotation = Quaternion.Euler(0, 0, 0);
			} else if (movementInput.z < 0) {
				transform.rotation = Quaternion.Euler(0, 180, 0);
			}

			charController.Move(movementInput * Time.deltaTime);
		}

		if (Input.GetButton("Fire1") || Input.GetButton("Jump")) {
			if (Time.time < nextBulletTime) {
				return;
			}
			nextBulletTime = Time.time + 0.5f;
			Instantiate<GameObject>(bulletPrefab, transform.position + transform.forward, transform.rotation);
		}
	}

	private void LateUpdate() {
		Camera.main.transform.position = transform.position + new Vector3(0, 8, -6);
	}
}
