﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerProjectile : MonoBehaviour {

	private Rigidbody rbody;

	private void Awake() {
		rbody = GetComponent<Rigidbody>();
	}

	private void Update() {
		// 3f is the velocity we will be moving.
		rbody.velocity = transform.forward * 3f;
	}

	private void OnTriggerEnter(Collider other) {
		// You can call GetComponent and get an Interface like it was any ol' component
		IInteractable interactable = other.gameObject.GetComponent<IInteractable>();

		if (interactable != null) {
			interactable.Interact();
		}

		Destroy(gameObject);
	}
}
